package mahjong;

public class FullOutsideChecker extends GroupChecker
{
    public boolean checkRun (Hand hand, int[] tilesToCheck)
    {
	for (int i = 0; i < 3; i++)
	{
	    if (((Tile)hand.getClosedTiles().get(tilesToCheck[i])).isTerminal())
		return (true);
	}
	
	return (false);
    }

    public boolean checkSet (Hand hand, int[] tilesToCheck)
    {
	if (((Tile)hand.getClosedTiles().get(tilesToCheck[0])).isTerminal())
	    return (true);
	else
	    return (false);
    }

    public boolean checkHead(Hand hand, int[] tilesToCheck)
    {
	if (((Tile)hand.getClosedTiles().get(tilesToCheck[0])).isTerminal())
	    return (true);
	else
	    return(false);
    }
}
