package mahjong;

public class MeldType
{
    private MeldType(){}

    public static String name(short type)
    {
	switch (type)
	{
	case CHI: return ("chi");
	case PON: return ("pon");
	case OPEN_KAN: return ("open kan");
	case LATE_KAN: return ("late kan");
	case CLOSED_KAN: return ("closed kan");
	default:  return ("unknown");
	}
    }

    public static final short CHI        = 0;
    public static final short PON        = 1;
    public static final short OPEN_KAN   = 2;
    public static final short LATE_KAN   = 3;
    public static final short CLOSED_KAN = 4;
}


