package mahjong;


public class Position
{
    private Position() {}

    public static short nextPosition(short position)
    {
	switch (position)
	{
	case Position.EAST: return (Position.SOUTH);
	case Position.SOUTH: return (Position.WEST);
	case Position.WEST: return (Position.NORTH);
	case Position.NORTH: return (Position.EAST);
	default: return (-1);
	}
    }

    public static short prevPosition(short position)
    {
	switch (position)
	{
	case Position.EAST: return (Position.NORTH);
	case Position.SOUTH: return (Position.EAST);
	case Position.WEST: return (Position.SOUTH);
	case Position.NORTH: return (Position.WEST);
	default: return (-1);
	}
    }

    public static final short EAST  = 0;
    public static final short SOUTH = 1;
    public static final short WEST  = 2;
    public static final short NORTH = 3;
}


