package mahjong;

public class TileType
{
    private TileType(){}

    public static String name(short type)
    {
	switch(type)
	{
	case PINZU: return ("pinzu");
	case SOUZU: return ("souzu");
	case WANZU: return ("wanzu");
	case KAZEHAI: return ("kazehai");
	case SANGENPAI: return ("sangenpai");
	default: return ("unknown");
	}
    }
    
    public static final short PINZU     = 0;  // pelotas
    public static final short SOUZU     = 1;  // tarugos
    public static final short WANZU     = 2;  // rabiscos
    public static final short KAZEHAI   = 3;  // ventos
    public static final short SANGENPAI = 4;  // cores

}





