package mahjong;

public class Action
{
    private Action() {}
    
    public static final int NONE       = 0;
    public static final int DRAW       = 1;
    public static final int REACH      = 2;
    public static final int LEFT_CHI   = 4;
    public static final int CENTER_CHI = 8;
    public static final int RIGHT_CHI  = 16;
    public static final int PON        = 32;
    public static final int LATE_KAN   = 64;
    public static final int OPEN_KAN   = 128;
    public static final int CLOSED_KAN = 256;
    public static final int RON        = 512;
    public static final int TSUMO      = 1024;
}
