package mahjong;

public class Batida
{
    public Batida(String name, short han)
    {
	this.name = name;
	this.han = han;
    }

    public String getName()
    {
	return name;
    }
    
    public short getHan()
    {
	return han;
    }

    public String name;
    public short han;  

    public static final short LIMIT_HAND = 13;

    public static final String TRIPLE_RUN        = "Triple Run";
    public static final String CLOSED_TSUMO      = "Closed Tsumo";
    public static final String DOUBLE_RUN        = "Double Run";
    public static final String DOUBLE_DOUBLE_RUN = "Double Double Run";
    public static final String COLORS            = "Colors";
    public static final String LESSER_COLORS     = "Lesser Colosr";
    public static final String GREATER_COLORS    = "Greater Colors";
    public static final String ALL_HONORS        = "All Honors";
    public static final String ALL_SETS          = "All Sets";
    public static final String INSIDE_HAND       = "Inside Hand";
    public static final String STRAIGHT          = "Straight";
    public static final String NINE_TREASURES    = "Nine Treasures";
    public static final String FOUR_WINDS        = "Four Winds";
    public static final String TABLE_WIND        = "Table Wind";
    public static final String SEAT_WIND         = "Seat Wind";
    public static final String FLAT_HAND         = "Flat Hand";
    public static final String HALF_OUTSIDE      = "Half Outside";
    public static final String FULL_OUTSIDE      = "Full Outside";
    public static final String ALL_GREEN         = "All Green";
    public static final String ALL_ENDS          = "All Ends";
    public static final String ALL_TERMINALS     = "All Terminals";
    public static final String FOUR_CLOSED_SETS  = "Four Closed Sets";
    public static final String THREE_CLOSED_SETS = "Three Closed Sets";
    public static final String FOUR_QUADS        = "Four Quads";
    public static final String THREE_QUADS       = "Three Quads";
    public static final String FULL_FLUSH        = "Full Flush";
    public static final String HALF_FLUSH        = "Half Flush";
    public static final String TRIPLE_PON        = "Tripe Pon";
    public static final String ALL_CRAP          = "All Crap";
    public static final String ALL_PAIRS         = "All Pairs";
    public static final String REACH             = "Reach";
    public static final String DORA              = "Dora";
    public static final String ALL_ENDS_DISCARD  = "All Ends Discard";
}







