package mahjong;

import java.util.*;

public class OpenMeld
{
    public OpenMeld(Tile[] tiles, short type, short stolenPlayer, Tile stolenTile)
    {
	this.tiles        = tiles;
	this.type         = type;
	this.stolenPlayer = stolenPlayer;
	this.stolenTile   = stolenTile;
    }

    public short stolenFrom()
    {
	return (stolenPlayer);
    }

    public short getType()
    {
	return (type);
    }

    public Tile[] getTiles()
    {
	return (tiles);
    }

    public Tile getStolenTile()
    {
       return (stolenTile);
    }

    public void printTest()
    {
	System.out.println("name.........: " + MeldType.name(type));
	System.out.println("stolenFrom...: " + StolenPlayer.name(stolenPlayer));

        if (stolenTile != null)
           System.out.println("stolenTile...: " + stolenTile.getName());
        else
           System.out.println("stolenTile...: not stolen");

        System.out.println("--------Other Tiles--------");
        for (int i = 0; i < tiles.length; i++) tiles[i].printTest();
	System.out.println("---------------------------");
    }
    
    private Tile[] tiles;
    private short type;
    private short stolenPlayer;
    private Tile  stolenTile;
}






