package mahjong;

import java.util.*;

public class VirtualPlayer extends Player
{
    public VirtualPlayer(short position)
    {
	super(position);
	strategy = new Junior(this);
    }

    public void setIntelligence(Intelligence strategy)
    {
	this.strategy = strategy;
    }

    public Tile discard(int drawType)
    {
	return (strategy.discard(drawType));
    }

    public int wantTile(Tile theTile, short stolenPlayer)
    {
	return (strategy.wantTile(theTile, stolenPlayer));
    }

    private Intelligence strategy;
}
